PUT/api/v2/referrals/programs/{programId}/drafts/{draftId}

PUT /api/v2/referrals/programs/{programId}/drafts/{draftId}

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
programId (path)string (uuid)Yes
draftId (path)string (uuid)Yes

Request body

application/json

Request body fields
FieldTypeRequiredDescription
PolicyUpdateReferralProgramRequestYes
MarginobjectNo
DraftRevisionunknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
Idstring (uuid)Yes
BaseRevisionunknownYes
DraftRevisionunknownYes
StatusstringYes
DraftReferralDraftRequestYes
EffectiveAtstring (date-time)Yes
ReasonstringYes

Example request

curl -X PUT "https://{base_url}/api/v2/referrals/programs/{programId}/drafts/{draftId}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"Policy":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.